<template>
	<!-- 商家助手首页 -->
	<view class="index">
		<view class="head">
			<view class="tit">店铺名称:{{ storeinfo.shop_name }}</view>
			<view :class="['jiu', shop_type == 'ele'?'':'jus-b']">
				<view class="jiu_01" v-if="is_bld == 1">
					<view @tap="saoma">
						<image class="img" src="/static/icon/1.png" mode=""></image>
						<view>扫码入库</view>
					</view>
				</view>
				<view class="jiu_01" :style="is_bld==1?'':'width: 33%;'">
					<navigator url="/pages/notice/notice">
						<view>
							<image class="img" src="/static/icon/newsicon.png" mode=""></image>
						</view>
						<view>消息通知</view>
					</navigator>
				</view>
				<view class="jiu_01" :style="is_bld==1?'':'width: 33%;'">
					<navigator url="/pages/user/tongji/tongji">
						<view>
							<image class="img" src="/static/icon/zijinicons.png" mode=""></image>
						</view>
						<view>商户资金</view>
					</navigator>
				</view>
				<view class="jiu_01" :style="is_bld==1?'':'width: 33%;'">
					<navigator url="/pages/user/mingxi/mingxi">
						<view>
							<image class="img" src="/static/icon/3.png" mode=""></image>
						</view>
						<view>佣金明细</view>
					</navigator>
				</view>
			</view>
		</view>
		<view class="more">
			<view class="mo">
				<view class="mo_01">数据交易</view>
				<navigator url="/pages/user/tongji/tongji">
					<view class="mo_02">
						更多
						<uni-icon type="arrowright" size="15" color="#D6D6D6"></uni-icon>
					</view>
				</navigator>
			</view>
		</view>
		<navigator url="/pages/user/tongji/tongji" class="shuju">
			<view class="shuju_01">
				<view>今日订单/今日收益</view>
				<view class="shuju_01_s" v-if="countdata.order_day">{{ countdata.order_day }}/￥{{ countdata.money_day }}</view>
				<view class="shuju_01_s" v-else>0 / ¥0</view>
			</view>
			<view class="shuju_01 no">
				<view>昨日订单/金额</view>
				<view class="shuju_01_s" v-if="countdata.order_yesterday">{{ countdata.order_yesterday }} /¥{{ countdata.money_yesterday }}</view>
				<view class="shuju_01_s" v-else>0 / ¥0</view>
			</view>

			<view class="shuju_01">
				<view>总订单数</view>
				<view class="shuju_01_s" v-if="countdata.total_order">{{ countdata.total_order }}</view>
				<view class="shuju_01_s" v-else>0</view>
			</view>
			<view class="shuju_01 no">
				<view>总收入</view>
				<view class="shuju_01_s" v-if="countdata.money">¥ {{ countdata.money }}</view>
				<view class="shuju_01_s" v-else>￥0</view>
			</view>



			<view class="shuju_01" v-if="is_bld">
				<view>现金支付数</view>

				<view class="shuju_01_s" v-if="countdata.cash">¥ {{ countdata.cash }}</view>
				<view class="shuju_01_s" v-else>￥0</view>
			</view>
			<view class="shuju_01 no" v-if="is_bld">
				<view>昨日/现金支付数</view>
				<view class="shuju_01_s" v-if="countdata.yesterday_cash">¥ {{ countdata.yesterday_cash }}</view>
				<view class="shuju_01_s" v-else>￥0</view>
			</view>
			
			
		</navigator>
		
		<navigator url="/pages/myStockRight/myStockRight" class="flex" v-if="isshowpiao" >
			<view class="shuju_01 " >
				<view>我的股票(元/港元)</view>
				<view class="shuju_01_s">{{amount_piao}}</view>
			</view>
		</navigator>

		
		
		<view class="BH"></view>
		<view class="six">
			<view class="jiu_max" v-if="shop_type == 'goods'" @tap="jump">
				<view class="jiu_min">
					<view>
						<image class="img" src="/static/icon/spgl.png" mode=""></image>
					</view>
					<view>商品管理</view>
				</view>
			</view>

			<view class="jiu_max " v-if="shop_type == 'ele'">
				<navigator :url="'/pages/eleProduct/eleProduct?edit=0&activity_type='+ activity_type ">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/eleproduct.png" mode=""></image>
						</view>
						<view>外卖产品</view>
					</view>
				</navigator>
			</view>

			<!-- 酒店管理 -->
			<view class="jiu_max " v-if="shop_type == 'hotel'">
				<navigator url="/pages/HotelManage/HotelManage">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/20.png" mode=""></image>
						</view>
						<view>酒店管理</view>
					</view>
				</navigator>
			</view>

			<!-- 商城不要分类  这个是外卖的-->
			<view class="jiu_max" v-if="shop_type == 'ele'">
				<navigator url="/pages/shopCategory/shopCategory?type=1">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/eleclass.png" mode=""></image>
						</view>
						<view>商品分类</view>
					</view>
				</navigator>
			</view>

			<!-- 这个是商城的 -->
			<view class="jiu_max" v-if="shop_type == 'goods'">
				<navigator url="/pages/storeCategory/storeCategory?type=1">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/eleclass.png" mode=""></image>
						</view>
						<view>商品分类</view>
					</view>
				</navigator>
			</view>

			<!-- <view class="jiu_01">
				<navigator url="/pages/shopCategory/shopCategory?type=2">
					<view>
						<image class="img" src="/static/icon/21.png" mode=""></image>
					</view>
					<view>商品属性</view>
				</navigator>
			</view> -->

			<!-- 只有商城才有规格 外卖没有规格 -->
			<!-- v-if="shop_type=='goods'" -->
			<!-- 商城和外卖都有规格 -->
			<view class="jiu_max">
				<navigator url="/pages/specs/specs?type=2">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/eleguige.png" mode=""></image>
						</view>
						<view>商品规格</view>
					</view>
				</navigator>
			</view>

			<view class="jiu_max" v-if="shop_type == 'ele'">
				<!-- 外卖订单 -->
				<navigator url="/pages/order/order">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/eleguanli.png" mode=""></image>
						</view>
						<view>订单管理</view>
					</view>
				</navigator>
			</view>

			<view class="jiu_max" v-if="shop_type == 'goods'">
				<!-- 商城订单 -->
				<navigator url="/pages/order/shopOrder">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/eleguanli.png" mode=""></image>
						</view>
						<view>订单管理</view>
					</view>
				</navigator>
			</view>

			<!-- 酒店的订单  酒店订单管理-->
			<view class="jiu_max" v-if="shop_type == 'hotel'">
				<!-- 酒店的订单 -->
				<navigator url="/pages/hotelOrder/hotelOrder">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/eleguanli.png" mode=""></image>
						</view>
						<view>订单管理</view>
					</view>
				</navigator>
			</view>

			<view class="jiu_max ">
				<navigator url="/pages/kehu/kehu">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/elesuoke.png" mode=""></image>
						</view>
						<view>锁客列表</view>
					</view>
				</navigator>
			</view>


			<view class="jiu_max ">
				<navigator url="/pages/CardSend/CardSend">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/news/elecoup.png" mode=""></image>
						</view>
						<view>优惠券管理</view>
					</view>
				</navigator>
			</view>

			<view class="jiu_max " v-if="shop_type == 'ele'">
				<navigator url="/pages/Printer/AddPrinter">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/news/printer.png" mode=""></image>
						</view>
						<view>添加打印机</view>
					</view>
				</navigator>
			</view>


			<view class="jiu_max " v-if="shop_type == 'ele'">
				<navigator url="/pages/deliveryCost/deliveryCost">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/psfei.png" mode=""></image>
						</view>
						<view>外卖配送费设置</view>
					</view>
				</navigator>
			</view>

			<view class="jiu_max " v-if="shop_type == 'ele'&&is_bld">
				<navigator url="/pages/eleProduct/eleProduct?edit=1">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/editPrice.png" mode=""></image>
						</view>
						<view>快捷改价</view>
					</view>
				</navigator>
			</view>

			<view class="jiu_max " v-if="shop_type == 'ele'&&is_bld">
				<navigator url="/pages/eleProduct/eleProduct?edit=2">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/editStore.png" mode=""></image>
						</view>
						<view>增减库存</view>
					</view>
				</navigator>
			</view>


			<view class="jiu_max " @click="download" v-if="shop_type == 'ele'&&is_bld">
				<view>
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/download.png" mode=""></image>
						</view>
						<view>下载称重商品</view>
					</view>
				</view>
			</view>

			
			<view class="jiu_max " v-if="shop_type == 'ele'">
				<navigator url="/pages/guidegoods/guidegoods">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/icon/daoicon.png" mode=""></image>
						</view>
						<view>快捷导入</view>
					</view>
				</navigator>
			</view>
			
			<view class="jiu_max" v-if="isshowpiao" >
				<navigator url="/pages/myStockRight/myStockRight">
					<view class="jiu_min">
						<view>
							<image class="img" src="/static/thighicon.png" mode=""></image>
						</view>
						<view>我的股票</view>
					</view>
				</navigator>
			</view>
			
		</view>

		<view class="BH"></view>
		<Welcome ref="Welcome"></Welcome>
		<!-- 欢迎回来 -->
		<yomol-upgrade ref="yomolUpgrade"></yomol-upgrade>
	</view>
</template>

<script>
	import {
		getskipShop,
		activity_nucleus,
		ele_carry
	} from "@/utils/api/merchant.js";
	import uniBadge from "@/components/uni/uni-badge/uni-badge.vue"
	import uniIcon from "@/components/uni/uni-icon/uni-icon.vue"
	import Welcome from "@/components/Welcome/Welcome.vue"; //欢迎回来
	import {
		storeIndex,
		excel,
		getLmguPiao,
	} from "@/utils/api/api.js";
	import yomolUpgrade from '@/components/yomol-upgrade/yomol-upgrade.vue'; //升级组件
	export default {
		data() {
			return {
				tancl: false,
				shop_id: "",
				shop: {},
				countdata: {},
				shop_type: "", //店铺类型 ele goods
				money_type: "",
				activity_type: 0,
				is_bld: '',
				
				amount_piao:0,
				isshowpiao:false,
			}
		},
		components: {
			uniIcon,
			uniBadge,
			Welcome,
			yomolUpgrade,
		},
		computed: {
			storeinfo() {
				return this.$store.state.userInfo;
			}
		},
		onLoad() {
			//显示欢迎回来~
			// setTimeout(() => {
			// 	this.$refs.Welcome.show();
			// }, 2000)

			//#ifdef APP-PLUS
			if ((plus.device.getVolume() * 1000) < 600) { //获取手机音量
				uni.showModal({
					title: '提示:音量较小',
					content: '当前手机音量较小,可能无法及时获取新的订单播报,建议设置为最大音量',
					success: (res) => {
						if (res.confirm) {
							plus.device.setVolume(1); //设置手机音量
							setTimeout(() => {
								this.$api.msg('设置成功');
							}, 500)
						}
					},

				});

			}

			if (uni.getSystemInfoSync().platform != 'ios') {
				getApp().hgServiceFun();//安卓保活
			}else{
				getApp().getIosLocation(2,'index');//苹果保活
			}
			//#endif
			
			//调试
			// getApp().getIosLocation(2,'index');
		},
		//下拉刷新
		onPullDownRefresh() {
			this.storeIndexfun(); //获取信息
			
			this.getLmguPiao();//获取商家的股票 下拉刷新 刷新
			// uni.stopPullDownRefresh();//结束下拉刷新
		},
		onShow() {
			// console.log(uni.getStorageSync("token"),"token");
			//检测更新
			setTimeout(() => {
				// #ifdef APP-PLUS
				this.$refs.yomolUpgrade.checkVersionClick();
				// #endif
			}, 1000)
			getskipShop({
				type: 'bld'
			}).then(res => {
				if (res.code == 0) {
					this.is_bld = res.data.is_bld
				}
			})
			this.storeIndexfun();
			
			this.getLmguPiao();//获取商家股票信息

			if (uni.getStorageSync('dwstatus') == '') {
				getApp().getnewsRemind().then(res => {
					if (res) {
						if (this.$store.state.Timer == '') {
							let Timer = setInterval(() => {
								getApp().getnewsRemind(2);
							}, 5000);
							this.$store.commit('Timer', Timer);
						}
					}
				})
			} else {
				if (uni.getStorageSync('dwstatus') == 3 || uni.getStorageSync('dwstatus') == 0) {
					//this.$api.msg('不是第一次')

					getApp().getIosLocation(2,'index');
				}else {

					//this.$api.msg('第一次')
					getApp().getnewsRemind().then(res => {
						if (res) {
							if (this.$store.state.Timer == '') {
								let Timer = setInterval(() => {
									getApp().getnewsRemind(2);
								}, 5000);
								this.$store.commit('Timer', Timer);
							}
						}
					})

				}
			}
		},
		methods: {
			//获取商家的股票信息
			async getLmguPiao(){
				let res = await getLmguPiao({
					
				});
				if(res.code==0){
					this.isshowpiao = true;
					this.amount_piao = res.data.amount_piao;
				}else{
					this.isshowpiao = false;
					this.amount_piao = 0;
				}
			},
			saoma(e) {
				uni.scanCode({
					success: res => {
						if (res.scanType == 'QR_CODE') { //二维码
							let param = this.GetRequest(res.result);
							// param.shop_id = 81
							if (param.type == 10) { // 菜市场买菜核销
								console.log(param);	
								ele_carry(param).then(res=>{
									if(res.code == 0){
										uni.showToast({
											title:"核销成功",
											icon:"none",
											duration:3000
										})
									}else{
										this.$api.msg(res.msg);
									}
								})
							} else if (param.type == 9) { //零元领核销
								activity_nucleus(param).then(res => {
									if (res.code == 0) {
										uni.showToast({
											title:"核销成功",
											icon:"none",
											duration:3000
										})
									} else {
										this.$api.msg(res.msg);
									}
								})
							}
						} else {
							//https://www.mxnzp.com/api/barcode/create
							//barcode=6902538005141
							//&app_id=ihrnqdrpunchxsfr
							//&app_secret=WFluM1dPMU9IbWlRUmpVVUJmdmN0QT09
							uni.request({
								url: 'https://www.mxnzp.com/api/barcode/goods/details', //仅为示例，并非真实接口地址。
								data: {
									barcode: res.result,
									needImg: true,
									app_id: 'qkkbptetyohxoiod',
									app_secret: 'Wkp2a3NiNjAzTFJLRmwrZXN3QW1jZz09'
								},
								method: 'GET',
								success: (results) => {
									if (results.data.code == 0) {
										results.isScanCode = false;
										results.code = res.result;
										uni.navigateTo({
											url: '/pages/addEditEleProduct/addEditEleProduct?results=' + JSON.stringify(results)
										})
									} else if (results.data.code == 1) {
										results.isScanCode = false;
										results.code = res.result;
										uni.navigateTo({
											url: '/pages/addEditEleProduct/addEditEleProduct?results=' + JSON.stringify(results)
										})
									} else {
										results.isScanCode = false;
										results.code = res.result;
										uni.navigateTo({
											url: '/pages/addEditEleProduct/addEditEleProduct?results=' + JSON.stringify(results)
										})
									}
								},
								fail: (results) => {
									results.isScanCode = false;
									results.code = res.result;
									uni.navigateTo({
										url: '/pages/addEditEleProduct/addEditEleProduct?results=' + JSON.stringify(results)
									})
								}
							})
						}

					}
				});
			},

			// 解析链接中的参数

			/**
			 * 解析url地址的参数
			 * @param {string} urlStr 
			 */
			GetRequest: (urlStr) => {
				if (typeof urlStr == "undefined") {
					var url = decodeURI(location.search); //获取url中"?"符后的字符串
				} else {
					var url = "?" + urlStr.split("?")[1];
				}
				var theRequest = new Object();
				if (url.indexOf("?") != -1) {
					var str = url.substr(1);
					var strs = str.split("&");
					for (var i = 0; i < strs.length; i++) {
						theRequest[strs[i].split("=")[0]] = decodeURI(strs[i].split("=")[1]);
					}
				}
				return theRequest;
			},

			jump() {
				uni.navigateTo({
					url: '/pages/edit/pro_manage/pro_manage?money_type=' + this.money_type + '&' + 'activity_type=' + this.activity_type
				})

			},
			download() {
				let that = this
				uni.showModal({
					title: '复制链接在电脑端浏览器打开',
					content: `${that.$store.state.uploadurl}api/index/excel?shop_id=${that.shop_id}`,
					confirmText: '复制',
					success: function(res) {
						if (res.confirm) {
							uni.setClipboardData({
								data: `${that.$store.state.uploadurl}api/index/excel?shop_id=${that.shop_id}`,
								success: () => { //复制成功的回调函数
									uni.showToast({ //提示
										title: '复制成功'
									})
								}
							});
							console.log('用户点击确定');
						} else if (res.cancel) {
							console.log('用户点击取消');

						}
					}
				});


			},
			//弹窗
			tan() {
				this.tancl = !this.tancl
			},
			//获取首页的数据
			async storeIndexfun() {
				let res = await storeIndex({});
				console.info("res",res);
				uni.stopPullDownRefresh(); //结束下拉刷新
				if (res.code == 0) {
					this.countdata = res.data.counts; //统计的数据
					this.shop_type = res.data.shop_type; //店铺类型 商城 goods
					this.shop_id = res.data.shop_info.shop_id;
					this.money_type = res.data.shop_info.money_type
					this.activity_type = res.data.shop_info.activity_type //判断是否有秒杀资格
					
					let service_tel = res.data.service_tel;
					uni.setStorageSync("service_tel",service_tel);//客服电话
					console.info(service_tel,"service_tel");
					
				} else {
					this.$api.msg(res.msg);
				}
			}

		}
	}
</script>

<style lang="scss">
	.index {
		background: #fff;

		.H50 {
			height: 100upx;
		}

		.head {
			//background:  linear-gradient(to bottom, #52c693, #27a26c);
			background: linear-gradient(to bottom, #f37b1d, #ff3600);
			text-align: center;
			padding: 40upx 0 20upx;
			color: #fff;
			font-size: 28upx;
		}

		.jiu {
			padding: 20upx;
			display: flex;
			flex-wrap: wrap;
			color: #fff;
		}

		.jiu_01 {
			width: 25%;
			text-align: center;
			padding: 30upx 20upx 30upx;
			box-sizing: border-box;
			font-size: 24upx;
		}

		.jiu_max {
			width: 33%;
		}



		.jiu_min {
			width: 100%;
			text-align: center;
			padding: 30upx 20upx 30upx;
			box-sizing: border-box;
			font-size: 24upx;
		}

		.jiu_01 .img {
			width: 64upx;
			height: 64upx;
			margin-bottom: 20upx;
		}

		.jiu_min .img {
			width: 64upx;
			height: 64upx;
			margin-bottom: 10upx;
		}

		.mo {
			padding: 20upx;
			display: flex;
			justify-content: space-between;
			border-bottom: 2upx solid #f0f0f0;
			line-height: 40upx;
		}

		.mo_01 {
			padding-left: 20upx;
			box-sizing: border-box;
			width: 80%;
			height: 40upx;
			overflow: hidden;
			border-left: 6upx solid #ec521b;
			font-size: 28upx;
			font-weight: bold;
		}

		.mo_01 span {
			color: #8e8e8e;
			font-weight: 100;
			font-size: 24upx;
			padding-left: 20upx;
		}

		.mo_02 {
			color: #d6d6d6;
		}

		.shuju {
			display: flex;
			flex-wrap: wrap;
		}

		.shuju_01 {
			width: 50%;
			text-align: center;
			padding: 32upx 20upx;
			box-sizing: border-box;
			font-size: 28upx;
			line-height: 50upx;
			font-size: 32upx;
			border-right: 1px solid #f0f0f0;
			border-bottom: 1px solid #f0f0f0;
		}

		.shuju_01_s {
			color: #eb511b;
			font-weight: 800;
			font-size: 32upx;
		}

		.no {
			border-right: none;
		}

		.BH {
			background-color: #f1f1f1;
			height: 10upx;
		}

		.six {
			padding: 20upx;
			display: flex;
			flex-wrap: wrap;
		}

		.list_01 {
			padding: 30upx 20upx 16upx;
			border-bottom: 1px solid #f4f4f4;
			font-size: 24upx;
		}
	}
</style>
